/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.tutorial.pobjects.mapping;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

/**
 * @author Y.Bersihand
 */
public class Employee {

	private String name;
	private Manager manager;
	private Collection projects;
	
	public Employee(String name) {
		this.name = name;
		this.manager = null;
		this.projects = new ArrayList(); 
	}
	
	public Employee(String name, Manager manager) {
		this.name = name;
		this.manager = manager;
		this.projects = new ArrayList(); 
	}
	
	public Manager getManager() {
		return manager;
	}
	public void setManager(Manager manager) {
		this.manager = manager;
	}
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	
	public Collection getProjects() {
		return projects;
	}
	public void setProjects(Collection projects) {
		this.projects = projects;
	}
	public void addProject(Project project){
		projects.add(project);
		project.addEmployee(this);
	}
	
	public String toString(){
		String s = "Name: " + name + ", Manager: " + manager.getName() + ", Projects:[";
		Iterator it = projects.iterator();
		while(it.hasNext()){
			Project project = (Project) it.next();
			s += project.getTitle() + ", ";
		}
		s = s.substring(0, s.length()-2);
		s += "]";
		return s;
	}
}
