/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.genclass.collection;

import org.objectweb.jorm.api.PIndexedElem;
import org.objectweb.speedo.genclass.api.SpeedoGenClassProxy;
import org.objectweb.speedo.genclass.GenClassAccessor;
import org.objectweb.speedo.genclass.GenClassElement;

/**
 * @author	Sebastien Chassande-Barrioz
 */
public class SetAccessor extends CollectionAccessor implements java.util.Set {

    /**
     * Instanciates and initializes a new set with an initial set size.
     */
    public SetAccessor(SpeedoGenClassProxy jdoProxy) {
        super(jdoProxy);
    }

    // ---------------------------------------------------------------------------
    // Overriden methods
    // ---------------------------------------------------------------------------

	protected boolean duplicatAllowed() {
		return false;
	}

    public PIndexedElem createPIndexedElem(GenClassAccessor gca) {
        return new SetElem(gca);
    }

    public GenClassElement speedoAdd(Object o, boolean allowDuplicates) {
        return super.speedoAdd(o, false);
    }
}
