/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.genclass.collection;

import org.objectweb.speedo.mim.api.SpeedoAccessor;

import java.util.HashSet;

import javax.jdo.spi.JDOImplHelper;

/**
 * @author	P. D?chamboux
 */
public class SetImpl extends CollectionImpl implements java.util.Set {

    static {
        JDOImplHelper.registerClass(
                SetImpl.class,
                new String[0],
                new Class[0],
                new byte[0],
                null,
                new SetImpl());
    }

    /**
     * Instanciates a new collection.
     */
    public SetImpl() {
        super();
    }

    // ---------------------------------------------------------------------------
    // Overriden methods
    // ---------------------------------------------------------------------------

    public Object createGenClass() {
        return new HashSet();
    }

    public SpeedoAccessor createAccessor() {
        return new SetAccessor(this);
    }
}
