/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.jca;

import javax.resource.cci.ConnectionSpec;
import javax.resource.spi.ConnectionRequestInfo;

/**
 * This class represents a connection spec for a JDO Resource adapter (JCA).
 * It contains the user and the password for a particular PersistenceManager.
 * 
 * @author S.Chassande-Barrioz
 */
public class JDOConnectionSpec
		implements ConnectionSpec, ConnectionRequestInfo {

	public String user;
	public String password;

	public JDOConnectionSpec(String user, String password) {
		this.user = user;
		this.password = password;
	}

	public boolean equals(Object obj) {
		if (!(obj instanceof JDOConnectionSpec)) {
			return false;
		}
		JDOConnectionSpec jdocs = (JDOConnectionSpec) obj;
		return
				(user == null
				? jdocs.user == null
				: user.equals(jdocs.user))
				&& (password == null
				? jdocs.password == null
				: password.equals(jdocs.password));
	}

	public int hashCode() {
		return toString().hashCode();
	}

	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("user: ");
		sb.append(user);
		sb.append(" / password: ");
		sb.append(password);
		return sb.toString();
	}
}
