/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 * Authors: S.Chassande-Barrioz.
 *
 */

package org.objectweb.speedo.metadata;

/**
 * This class represents the possible values for the attribute persistence-modifier
 * of a field.
 * @author	S.Chassande-Barrioz
 */
public abstract class SpeedoModifier {
    public final static byte persistent = 2;
    public final static byte transactional = 1;
    public final static byte none = 0;
    public final static byte missing = -1;

    /**
     * Transforms a String into a byte.
     * @param s the string to transform.
     * @return a byte corresponding to the string.
     */
    public static byte toByte(String s) {
        if (s.equals("persistent"))
            return persistent;
        else if (s.equals("transactional"))
            return transactional;
        else if (s.equals("none"))
            return none;
        else
            return missing;
    } // end toByte
} // end SpeedoModifier
