/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.mim.api;

/**
 * Representation of the life cycle of a detached JDO Instance.
 * @author Y.Bersihand
 */
public  abstract class DetachedLifeCycle {
	
	public static final byte DETACHED_CLEAN = 1;
	public static final byte DETACHED_DIRTY = 2;
	public static final byte DETACHED_NONE = 3;

	/**
	 * Get the initial state.
	 */
	public static byte initState() {
		return DETACHED_NONE;
	}
}
