/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.naming.api;

import org.objectweb.jorm.metainfo.api.Reference;
import org.objectweb.jorm.metainfo.api.ScalarField;
import org.objectweb.jorm.metainfo.api.MetaObject;
import org.objectweb.jorm.metainfo.api.PrimitiveElement;
import org.objectweb.jorm.type.api.PType;
import org.objectweb.speedo.api.SpeedoException;
import org.objectweb.speedo.metadata.SpeedoClass;
import org.objectweb.asm.Type;

/**
 *
 * @author S.Chassande-Barrioz
 */
public interface MIBuilderHelper {


    String getNameDefFieldPrefix(Reference ref,
                                 boolean isIdentifier,
                                 boolean isInGenClass);

    ScalarField createNameDefField(MetaObject mo,
                                   String fn,
                                   PType type)
            throws SpeedoException;

    ScalarField createNameDefField(MetaObject mo, String fn,
                                   PType type, int size, int scale)
            throws SpeedoException;

    PrimitiveElement getPrimitiveField(MetaObject mo, String name);

    String getErrorMessage(SpeedoClass sc, MetaObject mo, Reference ref);

    PType getPrimitivePType(Type t);
}
