// Decompiled by Jad v1.5.8e. Copyright 2001 Pavel Kouznetsov.
// Jad home page: http://www.geocities.com/kpdus/jad.html
// Decompiler options: packimports(3) noctor space
// Source File Name: JDOImplHelper.java

package javax.jdo.spi;

import java.util.*;
import javax.jdo.JDOFatalInternalException;
import javax.jdo.JDOFatalUserException;

// Referenced classes of package javax.jdo.spi:
//            RegisterClassEvent, RegisterClassListener, JDOPermission, PersistenceCapable,
//            I18NHelper, StateManager

public class JDOImplHelper {
    static class Meta {

        String[] getFieldNames() {
            return fieldNames;
        }

        Class[] getFieldTypes() {
            return fieldTypes;
        }

        byte[] getFieldFlags() {
            return fieldFlags;
        }

        Class getPersistenceCapableSuperclass() {
            return persistenceCapableSuperclass;
        }

        PersistenceCapable getPC() {
            return pc;
        }

        public String toString() {
            return "Meta-" + pc.getClass().getName();
        }

        String fieldNames[];

        Class fieldTypes[];

        byte fieldFlags[];

        Class persistenceCapableSuperclass;

        PersistenceCapable pc;

        Meta(String fieldNames[], Class fieldTypes[], byte fieldFlags[],
                Class persistenceCapableSuperclass, PersistenceCapable pc) {
            this.fieldNames = fieldNames;
            this.fieldTypes = fieldTypes;
            this.fieldFlags = fieldFlags;
            this.persistenceCapableSuperclass = persistenceCapableSuperclass;
            this.pc = pc;
        }
    }

    private JDOImplHelper() {
    }

    public static JDOImplHelper getInstance() throws SecurityException {
        SecurityManager sec = System.getSecurityManager();
        if (sec != null)
            sec.checkPermission(JDOPermission.GET_METADATA);
        return jdoImplHelper;
    }

    public String[] getFieldNames(Class pcClass) {
        Meta meta = getMeta(pcClass);
        return meta.getFieldNames();
    }

    public Class[] getFieldTypes(Class pcClass) {
        Meta meta = getMeta(pcClass);
        return meta.getFieldTypes();
    }

    public byte[] getFieldFlags(Class pcClass) {
        Meta meta = getMeta(pcClass);
        return meta.getFieldFlags();
    }

    public Class getPersistenceCapableSuperclass(Class pcClass) {
        Meta meta = getMeta(pcClass);
        return meta.getPersistenceCapableSuperclass();
    }

    public PersistenceCapable newInstance(Class pcClass, StateManager sm) {
        Meta meta = getMeta(pcClass);
        PersistenceCapable pcInstance = meta.getPC();
        return pcInstance != null ? pcInstance.jdoNewInstance(sm) : null;
    }

    public PersistenceCapable newInstance(Class pcClass, StateManager sm,
            Object oid) {
        Meta meta = getMeta(pcClass);
        PersistenceCapable pcInstance = meta.getPC();
        return pcInstance != null ? pcInstance.jdoNewInstance(sm, oid) : null;
    }

    public Object newObjectIdInstance(Class pcClass) {
        Meta meta = getMeta(pcClass);
        PersistenceCapable pcInstance = meta.getPC();
        return pcInstance != null ? pcInstance.jdoNewObjectIdInstance() : null;
    }

    public Object newObjectIdInstance(Class pcClass, String str) {
        Meta meta = getMeta(pcClass);
        PersistenceCapable pcInstance = meta.getPC();
        return pcInstance != null ? pcInstance.jdoNewObjectIdInstance(str)
                : null;
    }

    public void copyKeyFieldsToObjectId(Class pcClass,
            PersistenceCapable.ObjectIdFieldSupplier fm, Object oid) {
        Meta meta = getMeta(pcClass);
        PersistenceCapable pcInstance = meta.getPC();
        if (pcInstance == null) {
            throw new JDOFatalInternalException(msg.msg(
                    "ERR_AbstractClassNoIdentity", pcClass.getName()));
        } else {
            pcInstance.jdoCopyKeyFieldsToObjectId(fm, oid);
            return;
        }
    }

    public void copyKeyFieldsFromObjectId(Class pcClass,
            PersistenceCapable.ObjectIdFieldConsumer fm, Object oid) {
        Meta meta = getMeta(pcClass);
        PersistenceCapable pcInstance = meta.getPC();
        if (pcInstance == null) {
            throw new JDOFatalInternalException(msg.msg(
                    "ERR_AbstractClassNoIdentity", pcClass.getName()));
        } else {
            pcInstance.jdoCopyKeyFieldsFromObjectId(fm, oid);
            return;
        }
    }

    public static void registerClass(Class pcClass, String fieldNames[],
            Class fieldTypes[], byte fieldFlags[],
            Class persistenceCapableSuperclass, PersistenceCapable pc) {
        if (pcClass == null)
            throw new NullPointerException();
        Meta meta = new Meta(fieldNames, fieldTypes, fieldFlags,
                persistenceCapableSuperclass, pc);
        registeredClasses.put(pcClass, meta);
        synchronized (listeners) {
            if (!listeners.isEmpty()) {
                RegisterClassEvent event = new RegisterClassEvent(
                        jdoImplHelper, pcClass, fieldNames, fieldTypes,
                        fieldFlags, persistenceCapableSuperclass);
                Iterator i = listeners.iterator();
                do {
                    if (!i.hasNext())
                        break;
                    RegisterClassListener crl = (RegisterClassListener) i
                            .next();
                    if (crl != null)
                        crl.registerClass(event);
                } while (true);
            }
        }
    }

    public void addRegisterClassListener(RegisterClassListener crl) {
        HashSet alreadyRegisteredClasses = null;
        synchronized (listeners) {
            listeners.add(crl);
            alreadyRegisteredClasses = new HashSet(registeredClasses.keySet());
        }
        RegisterClassEvent event;
        for (Iterator it = alreadyRegisteredClasses.iterator(); it.hasNext(); crl
                .registerClass(event)) {
            Class pcClass = (Class) it.next();
            Meta meta = getMeta(pcClass);
            event = new RegisterClassEvent(this, pcClass, meta.getFieldNames(),
                    meta.getFieldTypes(), meta.getFieldFlags(), meta
                            .getPersistenceCapableSuperclass());
        }

    }

    public void removeRegisterClassListener(RegisterClassListener crl) {
        synchronized (listeners) {
            listeners.remove(crl);
        }
    }

    public Collection getRegisteredClasses() {
        return Collections.unmodifiableCollection(registeredClasses.keySet());
    }

    private static Meta getMeta(Class pcClass) {
        Meta ret = (Meta) registeredClasses.get(pcClass);
        if (ret == null)
            throw new JDOFatalUserException(msg.msg("ERR_NoMetadata", pcClass
                    .getName()));
        else
            return ret;
    }

    public static void registerAuthorizedStateManagerClass(Class smClass)
            throws SecurityException {
        SecurityManager sm = System.getSecurityManager();
        if (sm != null)
            sm.checkPermission(JDOPermission.SET_STATE_MANAGER);
        synchronized (authorizedStateManagerClasses) {
            authorizedStateManagerClasses.add(smClass);
        }
    }

    public static void registerAuthorizedStateManagerClasses(
            Collection smClasses) throws SecurityException {
        SecurityManager sm = System.getSecurityManager();
        if (sm != null) {
            sm.checkPermission(JDOPermission.SET_STATE_MANAGER);
            synchronized (authorizedStateManagerClasses) {
                for (Iterator it = smClasses.iterator(); it.hasNext(); registerAuthorizedStateManagerClass((Class) it
                        .next())) {
                    Object smClass = it.next();
                    if (!(smClass instanceof Class))
                        throw new ClassCastException(msg.msg(
                                "ERR_StateManagerClassCast", smClass.getClass()
                                        .getName()));
                }

            }
        }
    }

    public static void checkAuthorizedStateManager(StateManager sm) {
        checkAuthorizedStateManagerClass(sm.getClass());
    }

    public static void checkAuthorizedStateManagerClass(Class smClass) {
    }

    private static Map registeredClasses = Collections
            .synchronizedMap(new HashMap());

    private static Set authorizedStateManagerClasses = new HashSet();

    private static List listeners = new ArrayList();

    private static JDOImplHelper jdoImplHelper = new JDOImplHelper();

    private static final I18NHelper msg = I18NHelper
            .getInstance("javax.jdo.Bundle");

}